Nimbu Developer Docs
ReferenceSubscriptions

List subscriptions

GET
/subscriptions

Returns all subscriptions on the site.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Response Body

application/json

curl -X GET "https://example.com/subscriptions"
[
  {
    "id": "string",
    "state": "string",
    "amount": 0,
    "subscription_interval": 0,
    "subscription_interval_unit": "string",
    "subscription_times": 0,
    "last_paid_at": "2019-08-24T14:15:22Z",
    "valid_until": "2019-08-24T14:15:22Z",
    "cancel_reason": "string",
    "customer_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
Empty